package pl.edu.wat.wcy.isi.szymonm.phd.graph.structure;

import lombok.Getter;

@Getter
public class WeightedEdge {
    String id;
    int weight;

    public WeightedEdge(String id, int weight) {
        this.id = id;
        this.weight = weight;
    }

    @Override
    public String toString() {
        return "id: " + this.id + " - " + this.weight;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        WeightedEdge that = (WeightedEdge) o;

        return id.equals(that.id);
    }

    @Override
    public int hashCode() {
        return id.hashCode();
    }
}
