package pl.edu.wat.wcy.isi.szymonm.phd.musicxml;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;
import java.util.List;

@Getter
@Setter
@XmlRootElement(name="Part")
@XmlAccessorType(XmlAccessType.FIELD)
public class Part {

    @XmlAttribute
    private String id;

    @XmlAttribute
    private Integer channel;

    //TODO dodać obsługę najnowszej wersji standardu?

    @XmlElement(name="Phrase")
    private List<Phrase> phraseList;
}
