package pl.edu.wat.wcy.isi.szymonm.phd.musicxml;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;
import java.util.List;

@Getter
@Setter
@XmlRootElement(name = "Phrase")
@XmlAccessorType(XmlAccessType.FIELD)
public class Phrase {
    @XmlAttribute
    private Double startTime;

    @XmlAttribute
    private Double tempo;

    @XmlElement(name="Note")
    private List<Note> noteList;
}
