package pl.edu.wat.wcy.isi.szymonm.phd.musicxml;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;
import java.util.List;

@Getter
@Setter
@XmlRootElement(name="Score"    )
@XmlAccessorType(XmlAccessType.FIELD)
public class Score {
    @XmlAttribute
    private Double tempo;

    @XmlAttribute
    private Integer numerator;

    @XmlAttribute
    private Integer denominator;

    @XmlElement(name="Part")
    private List<Part> partList;

}
